package be.iminds.ilabt.jfed.lowlevel.connection;

import org.apache.http.conn.ClientConnectionManager;

/**
 * This interface allows the decoupling of the instantiation of ClientConnectionManagers from the BasicConnectionBuilder.
 *
 * We typically want 1 instance of each ClientConnectionManager per SfaConnectionPool, as these are separate p
 *
 * User: twalcari
 * Date: 4/26/2016
 * Time: 15:38
 */
public interface ClientConnectionManagerProvider {

    ClientConnectionManager getClientConnectionManager();
    ClientConnectionManager getUnsafeSslClientConnectionManager();
}
